## golang-github-thedevsaddam-gojsonq 2.5.2

=== Makefile ===
# Makefile includes some useful commands to build or format incentives
# More commands could be added

# Variables
PROJECT = gojsonq
REPO_ROOT = github.com/thedevsaddam
ROOT = ${REPO_ROOT}/${PROJECT}

fmt:
	goimports -w .
	gofmt -s -w .

compile: fmt
	go install .

check: fmt
	golangci-lint run --deadline 10m ./...
	staticcheck -checks="all,-S1*" ./...

dep:
	go mod download
	go mod vendor
	go mod tidy

# A user can invoke tests in different ways:
#  - make test runs all tests;
#  - make test TEST_TIMEOUT=10 runs all tests with a timeout of 10 seconds;
#  - make test TEST_PKG=./model/... only runs tests for the model package;
#  - make test TEST_ARGS="-v -short" runs tests with the specified arguments;
#  - make test-race runs tests with race detector enabled.
TEST_TIMEOUT = 60
TEST_PKGS ?= ./...
TEST_TARGETS := test-short test-verbose test-race test-cover
.PHONY: $(TEST_TARGETS) test
test-short:   TEST_ARGS=-short
test-verbose: TEST_ARGS=-v
test-race:    TEST_ARGS=-race
test-cover:   TEST_ARGS=-cover
$(TEST_TARGETS): test

test: compile
	go test -timeout $(TEST_TIMEOUT)s $(TEST_ARGS) $(TEST_PKGS)

clean:
	@go clean

.PHONY: help
help:
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | \
		awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | \
		sort | \
		egrep -v -e '^[^[:alnum:]]' -e '^$@$$'

=== debian/changelog ===
golang-github-thedevsaddam-gojsonq (2.5.2-2) unstable; urgency=medium

  * New release with no changes, to unblock transition to testing.

 -- Martina Ferrari <tina@debian.org>  Fri, 15 Jan 2021 19:05:57 +0000

golang-github-thedevsaddam-gojsonq (2.5.2-1) unstable; urgency=medium

  * Initial release. Closes: #974928

 -- Martina Ferrari <tina@debian.org>  Mon, 16 Nov 2020 16:48:44 +0000

=== debian/control ===
Source: golang-github-thedevsaddam-gojsonq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-thedevsaddam-gojsonq
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-thedevsaddam-gojsonq.git
Homepage: https://github.com/thedevsaddam/gojsonq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/thedevsaddam/gojsonq

Package: golang-github-thedevsaddam-gojsonq-dev
Architecture: all
Depends:
 ${misc:Depends},
Description: Simple Go package to query over JSON data (library)
 This is a simple Go package to query over JSON data. It provides a simple,
 elegant, and fast ODM-like API to access and query JSON documents.
 .
 It can also work with YAML, XML, and CSV documents if provided with a
 suitable decoder as explained in
 https://github.com/thedevsaddam/gojsonq/wiki/How-to-use-YAML,-XML,-CSV%3F

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-thedevsaddam-gojsonq-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/thedevsaddam/gojsonq/tags .*/v?(\d\S*)\.tar\.gz debian
